function [modmat]=raisecontr(picmat)

%   raisecontr

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.                                                                      


picgroesse=size(picmat);
%normierung (quasi-z-Transformation)
picmat=double(picmat)/255;
totbright=mean(mean(mean(picmat)));
picmat=picmat-totbright;
verstaerkungsmat=0.1*exp((-(mean(picmat,3)).^2)/5000)+1;
for i=1:3
    picmat(:,:,i)=picmat(:,:,i).*verstaerkungsmat;
end
modmat=(picmat+totbright)*255;
return
